Subject: Re: [PATCH v3 net-next 3/3] ionic: add support for device Component Memory Buffers

From: Jakub Kicinski <[email-masked]>
Date: Thu, 9 Feb 2023 09:06:30 -0800

On Wed, 8 Feb 2023 22:52:59 -0800 Shannon Nelson wrote:
> > Oh, completely missed this when looking at previous version.
> > This is ETHTOOL_A_RINGS_TX_PUSH right?
> > 
> > Could you take a look at what hns3 does to confirm?  
> 
> Hmmm... I hadn't seen that feature creep in.  I guess I'll have to hunt 
> down an up-to-date ethtool and experiment a bit.

Or use the yaml thing :)

https://www.kernel.org/doc/html/next/userspace-api/netlink/intro-specs.html

> Yes, on first glance this looks similar, except we do both TX and RX 
> descriptors when CMB is enabled.

If Tx looks right we can add the same knob for Rx, FWIW.